StarWriterStruct::NoteInfo Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::NoteInfo Struct Reference

structure to store a endnoteInfo or a footnoteInfo in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| NoteInfo (bool isFootnote)
| constructor More...
bool | read (StarZone &zone)
| try to read a noteInfo More...

## Public Attributes
bool | m_isFootnote
| a flag to know if this corresponds to a footnote or a endnote More...
int | m_type
| the type More...
int | m_idx [4]
| the list of idx: the page, the coll, the char and the anchorChar More...
int | m_ftnOffset
| the ftnOffset More...
librevenge::RVNGString | m_strings [4]
| the strings: prefix, suffix, quoValis, ergoSum More...
int | m_posType
| the posType More...
int | m_numType
| the numType More...

## Friends
std::ostream & | operator<< (std::ostream &o, NoteInfo const &noteInfo)
| operator<< More...

## Detailed Description

structure to store a endnoteInfo or a footnoteInfo in a text zone

## Constructor & Destructor Documentation

## ◆ NoteInfo()

StarWriterStruct::NoteInfo::NoteInfo | ( | bool | isFootnote | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::NoteInfo::read | ( | StarZone & | zone | ) |

try to read a noteInfo

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | NoteInfo const & | noteInfo
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_ftnOffset

int StarWriterStruct::NoteInfo::m_ftnOffset

the ftnOffset

Referenced by read().

## ◆ m_idx

int StarWriterStruct::NoteInfo::m_idx[4]

the list of idx: the page, the coll, the char and the anchorChar

Referenced by NoteInfo(), and read().

## ◆ m_isFootnote

bool StarWriterStruct::NoteInfo::m_isFootnote

a flag to know if this corresponds to a footnote or a endnote

Referenced by read().

## ◆ m_numType

int StarWriterStruct::NoteInfo::m_numType

the numType

Referenced by read().

## ◆ m_posType

int StarWriterStruct::NoteInfo::m_posType

the posType

Referenced by read().

## ◆ m_strings

librevenge::RVNGString StarWriterStruct::NoteInfo::m_strings[4]

the strings: prefix, suffix, quoValis, ergoSum

Referenced by read().

## ◆ m_type

int StarWriterStruct::NoteInfo::m_type

the type

Referenced by read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx